<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="./styles/navbar.css">
    <link rel="stylesheet" href="./styles/employeeDashboard.css">
    <title>Employee Dashboard</title>
</head>
<body>
<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-dark">
  <a class="navbar-brand" href="#">Requests</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item active">
        <a id="home" class="nav-link" href="#">Home <span class="sr-only"></span></a>
      </li>
      <li class="nav-item">
        <a id="pending" class="nav-link" href="#">Pending</a>
      </li>
      <li class="nav-item">
        <a id="past" class="nav-link" href="#">Past</a>
      </li>
    </ul>
  </div>
      <span id="logout" class="navbar-text">
      Logout
    </span>
</nav>
<!--Content-->
<div id="content" class="container">
  <div class="row">
    <!-- Submission Form -->
    <div class="card text-center col-6">
      <div class="card-header">
        <h2 id="header">New Request</h2>
      </div>
      <div class="card-body">
        <h4 id="requestTitle" class="card-title">Submit New Reimbursement Request</h4>
        <div id="invalid" class="alert alert-danger invisible" role="alert">
          Please ensure the requested amount is a valid number
        </div>
          <div class="form-floating mb-3">
            <input type="money" class="form-control" id="amount" placeholder="Enter amount">
            <label for="amount">Request Amount</label>
          </div>
       <div class="form-floating">
        <textarea class="form-control" placeholder="Leave a comment here" id="reason" style="height: 100px"></textarea>
        <label for="reason">Reason for Request</label>
      </div>
        <div id="success" class="alert alert-success invisible" role="alert">
          Successfully submitted request
        </div>
        <a id="submitRequest" class="btn btn-lg">Submit Request</a>
      </div>
    </div>
    <!-- Employee Info -->
    <div class="card col-6" style="width: 30em;">
      <h4 id="employeeHeader" class="card-header">
        Employee Information
      </h4>
      <ul class="list-group list-group-flush">
        <li id="fullName" class="list-group-item">Full Name: </li>
        <li id="employeeEmail" class="list-group-item">Email: </li>
        <li id="employeeTRM" class="list-group-item">Total Requests Made: </li>
        <li id="pendingRequests" class="list-group-item">Pending Requests: </li>
        <li id="resolvedRequests" class="list-group-item">Resolved Requests: </li>
      </ul>
    </div>
  </div>
</div>
<script src="./scripts/employeeDashboard.js"></script>
<script src="./scripts/employeeNavbar.js"></script>
</body>
</html>